VERSION 5.00
Begin VB.Form frmSampleReceipts 
   Caption         =   "Sample Receipts"
   ClientHeight    =   3336
   ClientLeft      =   48
   ClientTop       =   276
   ClientWidth     =   2052
   LinkTopic       =   "Form1"
   ScaleHeight     =   3336
   ScaleWidth      =   2052
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdReceipt 
      Caption         =   "Receipt"
      Height          =   372
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1572
   End
End
Attribute VB_Name = "frmSampleReceipts"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public Sub Display()
    'Display self
    Me.Show
End Sub

Private Sub cmdReceipt_Click()
    Dim ResultCode As Long
    
    If frmPrinter.OPOS_Printer1.State = OPOS_S_CLOSED Then
        ResultCode = frmPrinter.OPOS_Printer1.Open("A758")
        If ResultCode <> OPOS_SUCCESS Then
            ErrMsg ("error Opening SO")
            Exit Sub
        End If
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.ClaimDevice(10000)
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error Claiming SO")
        Exit Sub
    End If
    
    frmPrinter.OPOS_Printer1.DeviceEnabled = True
    ResultCode = frmPrinter.OPOS_Printer1.ResultCode
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error setting DeviceEnabled = true")
        Exit Sub
    End If

    ResultCode = frmPrinter.OPOS_Printer1.SetBitmap(1, PTR_S_RECEIPT, "c:\axiohm\axiohm.bmp", PTR_BM_ASIS, PTR_BM_LEFT)
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error calling SetBitmap")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.TransactionPrint(PTR_S_RECEIPT, PTR_TP_TRANSACTION)
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error starting TransactionPrint")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|1B")
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing logo with PrintNormal")
        Exit Sub
    End If

    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|3lF")
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing logo with PrintNormal")
        Exit Sub
    End If

    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|4C" + _
                                                      Chr(&H1B) + "|cA" + "A758 Thermal/Impact" + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing A758 Thermal/Impact")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|2C" + _
                                                      Chr(&H1B) + "|cA" + "Two Heads are Better" + _
                                                      Chr(&HA) + "Than One" + Chr(&HA) + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Two Heads are Better Than One")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, _
                                                      "0        1         2         3         4   4" + _
                                                      "12 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4" + _
                                                      "|        |         |         |         |   |" + _
                                                      Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing 40 column scale")
        Exit Sub
    End If
    
    frmPrinter.OPOS_Printer1.RecLineChars = 56
    ResultCode = frmPrinter.OPOS_Printer1.ResultCode
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error setting RecLineChars = 56")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, _
                                                      "0        1         2         3         4         5     5" + _
                                                      "12 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4 6" + _
                                                      "|        |         |         |         |         |     |" + _
                                                      Chr(&HA) + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing 56 column scale")
        Exit Sub
    End If
        
    frmPrinter.OPOS_Printer1.RecLineChars = 44
    ResultCode = frmPrinter.OPOS_Printer1.ResultCode
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error setting RecLineChars = 44")
        Exit Sub
    End If
        
    frmPrinter.OPOS_Printer1.RecLineSpacing = 40
    ResultCode = frmPrinter.OPOS_Printer1.ResultCode
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error setting RecLineSpacing = 40")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|3C" + _
                                                      Chr(&H1B) + "|cA" + "Double High" + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Double High")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|2C" + _
                                                      Chr(&H1B) + "|cA" + "Double Wide" + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Double Wide")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|4C" + _
                                                      Chr(&H1B) + "|cA" + "Both High and High" + Chr(&HA) + Chr(&HA) + Chr(&HA) + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Both High and High")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|iC" + _
                                                      Chr(&H1B) + "|cA" + "Italic Text" + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Italic Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|bC" + _
                                                      Chr(&H1B) + "|cA" + "Bold Text" + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Bold Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|uC" + _
                                                      Chr(&H1B) + "|cA" + "Underlined Text" + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Underlined Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|rvC" + _
                                                      Chr(&H1B) + "|cA" + "Reverse Video Text" + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Reverse Video Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|cA" + "You " + Chr(&H1B) + "|iC" + _
                                                      "can " + Chr(&H1B) + "|bC" + "mix " + Chr(&H1B) + "|uC" + _
                                                      "features " + Chr(&H1B) + "|rvC" + "too!" + Chr(&HA) + Chr(&HA) + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing You can mix features too!")
        Exit Sub
    End If
    
    
    frmPrinter.OPOS_Printer1.RecLineSpacing = 26
    ResultCode = frmPrinter.OPOS_Printer1.ResultCode
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error setting RecLineSpacing = 26")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintBarCode(PTR_S_RECEIPT, "Axiohm Transaction Solutions, Inc." + Chr(&HA) _
                                                       + "950 Danby Road" + Chr(&HA) + _
                                                       "Ithaca, NY  14850" + Chr(&HA) + _
                                                       "(800) 732-8950", PTR_BCS_PDF417, 100, 3, PTR_BC_CENTER, PTR_BC_TEXT_BELOW)
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error calling PrintBarCode")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|cA" + "Axiohm Transaction Solutions, Inc." + Chr(&HA) _
                                                       + "950 Danby Road" + Chr(&HA) + _
                                                       "Ithaca, NY  14850" + Chr(&HA) + _
                                                       "(800) 732-8950" + Chr(&HA))
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error calling PrintNormal with HRI")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.PrintNormal(PTR_S_RECEIPT, Chr(&H1B) + "|7lF" + Chr(&H1B) + "|100P")
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing Italic Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOS_Printer1.TransactionPrint(PTR_S_RECEIPT, PTR_TP_NORMAL)
    If ResultCode <> OPOS_SUCCESS Then
        ErrMsg ("error printing transaction with TransactionPrint")
        Exit Sub
    End If
    
    If frmPrinter.OPOS_Printer1.State <> OPOS_S_CLOSED Then
    
        frmPrinter.OPOS_Printer1.DeviceEnabled = False
        ResultCode = frmPrinter.OPOS_Printer1.ResultCode
        If ResultCode <> OPOS_SUCCESS Then
            ErrMsg ("error setting DeviceEnabled = false")
            Exit Sub
        End If
        
        ResultCode = frmPrinter.OPOS_Printer1.ReleaseDevice
        
        If ResultCode <> OPOS_SUCCESS Then
            ErrMsg ("error Releasing SO")
            Exit Sub
        End If
    
        ResultCode = frmPrinter.OPOS_Printer1.Close
        If ResultCode <> OPOS_SUCCESS Then
            ErrMsg ("error Closing SO")
            Exit Sub
        End If
    
    End If

End Sub

Public Function ErrMsg(errormsg As String)
    MsgBox "There has been an " + errormsg + " Please check your settings.", vbCritical, "Error"
End Function
